include(${WINDEPPATHS_PACKAGES_DIR}/winkit.cmake)

if(NOT MSVC_EDITION)
    set(MSVC_EDITION  BuildTools)
endif(NOT MSVC_EDITION)

if(NOT MSVC_VERSION_YEAR)
    set(MSVC_VERSION_YEAR 2019)
endif(NOT MSVC_VERSION_YEAR)

if(NOT MSVC_CRT_FULL_VERSION)
    set(MSVC_CRT_FULL_VERSION 14.28.29325)
endif(NOT MSVC_CRT_FULL_VERSION)

if(NOT MSVC_CRT_REDISTR_DIR)
    set(MSVC_CRT_REDISTR_DIR "${PROGRAM_DIR32}/Microsoft Visual Studio/${MSVC_VERSION_YEAR}/${MSVC_EDITION}/VC/Redist/MSVC/${MSVC_CRT_FULL_VERSION}/x86/Microsoft.VC142.CRT")
endif(NOT MSVC_CRT_REDISTR_DIR)

if(NOT WIN_UCRT_REDISTR_DIR)
    set(WIN_UCRT_REDISTR_DIR "${WINKIT_DIR}/Redist/ucrt/DLLs/x86")
endif(NOT WIN_UCRT_REDISTR_DIR)
